$(function(){
	var cache = [];
	$.preLoadImages = function() {
		var args_len = arguments.length;
		for (var i = args_len; i--;) {
		  var cacheImage = document.createElement('img');
		  cacheImage.src = arguments[i];
		  cache.push(cacheImage);
		}
	}
	$.preLoadImages("img/tab02.jpg", "img/tab03.jpg", "img/tab04.jpg");
	
	$.extend({
		consts:{
			KGtoLB:2.20462262,
			CMtoINCH:0.393700787
		},
		//初期化処理
		init:function(){
			//犬を選択
			$("input[name='step1_type']").val(['1']);
			$("#step1_breed_cat").css("display", "none");
			//スライダーを設定
			$("#slider").slider({
				disabled:false,
				animate:"fast",
				min: 15,
				max: 85,
				//min: 20,
				//max: 79,
				//range:"min",
				//step:11.8,
				step:10,
				value:20,
				slide:function(event,ui){
					$("body").data("bfi",$.bfiRound(ui.value));
					$("body").data("ideal_weight",$.getIdealWeight());
					$("body").data("isSetSlider", true);
					$(".result_ideal_weight").html($("body").data("ideal_weight"));
					$(".result_bfi").html($("body").data("bfi"));
					$.setBfiDiscription();
					$.productSelect();
				}
			});
			
			$("body")//bodyのデータを設定
				.data("type", $("input[name='step1_type']:checked").val())
				.data("weight", $("#step1_weight").val())
				.data("ideal_weight", 0)
				.data("fat", 0)
				.data("bfi", 20)
				.data("isSizeSkip", false)
				.data("isSetSlider", false);
			
			$.setBirthYear();
			$.setPetBreed();
			
			// 部測定スキップ
			$(".note_popup").click(function()
			{
				window.open("howto.html", "howto", "width=580, height=740, menubar=no, toolbar=no, scrollbars=yes");
				return false;
			});
		},
		setTabState:function(id){
			$("#tab").css("backgroundImage", "url(img/tab0" + id + ".jpg)");
			
			$("#tab_step1").css("display", (id > 1)? "block" : "none");
			$("#tab_step2").css("display", (id > 2)? "block" : "none");
			$("#tab_step3").css("display", (id > 3)? "block" : "none");
			$("#tab_step4").css("display", (id > 4)? "block" : "none");
		},
		setBirthYear:function()
		{
			var maxAge = 20;
			var thisYear = new Date().getFullYear();
			
			for(var i = thisYear + 2; i >= thisYear - maxAge; i--)
			{
				var option = document.createElement("option");
				$(option).attr("value", i);
				$(option).html(i);
				$("#step1_birth_year").append(option);
				
				if(i == thisYear)
				{
					$(option).attr("selected","selected");
				}
			}
		},
		setPetBreed:function(){
			var dogs = [{name:"アイリッシュ・ウォーター・スパニエル", type:"L"}, {name:"アイリッシュ・ウルフハウンド", type:"L"}, {name:"アイリッシュ･セッター", type:"L"}, {name:"アイリッシュ･テリア", type:"L"}, {name:"秋田", type:"L"}, {name:"アクバシュ", type:"L"}, {name:"アナトリアン・シェパード", type:"L"}, {name:"アフェンピンシャー", type:"D"}, {name:"アフガン・ハウンド", type:"L"}, {name:"アメリカン・ウォーター・スパニエル", type:"L"}, {name:"アメリカン・エスキモー・ドッグ", type:"L"}, {name:"アメリカン・スタッフォードシャー・テリア", type:"L"}, {name:"アメリカン・ピット・ブル・テリア", type:"L"}, {name:"アメリカン・フォックスハウンド", type:"L"}, {name:"アラスカン・マラミュート", type:"L"}, {name:"イタリアン・グレーハウンド", type:"D"}, {name:"イビザン・ハウンド", type:"L"}, {name:"イングリッシュ・コッカー・スパニエル", type:"L"}, {name:"イングリッシュ・スプリンガー・スパニエル", type:"L"}, {name:"イングリッシュ・セッター", type:"L"}, {name:"イングリッシュ・トイ・スパニエル", type:"D"}, {name:"イングリッシュ･フォックスハウンド", type:"L"}, {name:"ウィペット", type:"L"}, {name:"ウェスト・ハイランド・ホワイトテリア", type:"D"}, {name:"ウェルシュ･コーギー･カーディガン", type:"D"}, {name:"ウェルシュ・コーギー・ペンブローク", type:"D"}, {name:"ウェルシュ・スプリンガー・スパニエル", type:"L"}, {name:"ウェルシュ・テリア", type:"L"}, {name:"エアデール・テリア", type:"L"}, {name:"オーストラリアン・キャトル・ドッグ", type:"L"}, {name:"オーストラリアン・ケルピー", type:"L"}, {name:"オーストラリアン・シェパード", type:"L"}, {name:"オーストラリアン・テリア", type:"D"}, {name:"オールド・イングリッシュ・シープドッグ", type:"L"}, {name:"オッターハウンド", type:"L"}, {name:"カーリーコーテッド・レトリーバー", type:"L"}, {name:"カナーン・ドッグ", type:"L"}, {name:"キースホンド", type:"L"}, {name:"キャバリア・キング・チャールズ・スパニエル", type:"D"}, {name:"クバーズ", type:"L"}, {name:"クランバー・スパニエル", type:"L"}, {name:"グレイハウンド", type:"L"}, {name:"グレーター・スイス・マウンテン・ドッグ", type:"L"}, {name:"グレート・デーン", type:"L"}, {name:"グレート・ピレニーズ", type:"L"}, {name:"ケアーン・テリア", type:"D"}, {name:"ケリー・ブルー・テリア", type:"L"}, {name:"コーイケルホンディエ", type:"L"}, {name:"ゴードン・セッター", type:"L"}, {name:"ゴールデン・レトリーバー", type:"L"}, {name:"コッカースパニエル", type:"L"}, {name:"コモンドール", type:"L"}, {name:"コリー", type:"L"}, {name:"サセックス・スパニエル", type:"L"}, {name:"サモエド", type:"L"}, {name:"サルーキ", type:"L"}, {name:"シー・ズー", type:"D"}, {name:"シーリハム・テリア", type:"D"}, {name:"シェットランド・シープドッグ", type:"L"}, {name:"柴犬", type:"L"}, {name:"シベリアン・ハスキー", type:"L"}, {name:"シャー・ペイ", type:"L"}, {name:"ジャーマン・シェパード・ドッグ", type:"L"}, {name:"ジャーマン・ショートヘアード・ポインター", type:"L"}, {name:"ジャーマン・ピンシャー.", type:"L"}, {name:"ジャーマン・ワイヤーヘアード・ポインター", type:"L"}, {name:"ジャイアント・シュナウザー", type:"L"}, {name:"ジャック・ラッセル・テリア", type:"D"}, {name:"シルキー・テリア", type:"D"}, {name:"スカイ・テリア", type:"D"}, {name:"スキッパーキ", type:"D"}, {name:"スコティッシュ・ディアハウンド", type:"L"}, {name:"スコティッシュ・テリア", type:"D"}, {name:"スタッフォードシャー・ブル・テリア", type:"L"}, {name:"スタンダード・シュナウザー", type:"L"}, {name:"スピノーネ・イタリアーノ", type:"L"}, {name:"スムース・フォックス・テリア", type:"D"}, {name:"セント・バーナード", type:"L"}, {name:"ソフトコーテッド・ウィートン・テリア", type:"L"}, {name:"ダックスフンド（スタンダード）", type:"D"}, {name:"ダックスフンド（ミニチュア）", type:"D"}, {name:"ダックスフンド（カニーンヘン）", type:"D"}, {name:"ダルメシアン", type:"L"}, {name:"ダンディ・ディンモント・テリア", type:"D"}, {name:"チェサピーク・ベイ・レトリーバー", type:"L"}, {name:"チベタン・スパニエル", type:"D"}, {name:"チベタン・テリア", type:"D"}, {name:"チャイニーズ・クレステッド・ドッグ", type:"D"}, {name:"チャイニーズ･シャー・ペイ", type:"L"}, {name:"チャウ・チャウ", type:"L"}, {name:"チワワ", type:"D"}, {name:"チン（狆）", type:"D"}, {name:"トイ・フォックス・テリア", type:"D"}, {name:"ドーベルマン・ピンシェル", type:"L"}, {name:"ニューファンドランド", type:"L"}, {name:"ノーフォーク・テリア", type:"D"}, {name:"ノーリッチ・テリア", type:"D"}, {name:"ノルウェジアン・エルクハウンド", type:"L"}, {name:"バーニーズ・マウンテン・ドッグ", type:"L"}, {name:"パグ", type:"D"}, {name:"バセット・ハウンド", type:"L"}, {name:"バセンジー", type:"L"}, {name:"ハバニーズ", type:"D"}, {name:"パピヨン", type:"D"}, {name:"ハリア", type:"L"}, {name:"ビアデッド・コリー", type:"L"}, {name:"ビーグル", type:"D"}, {name:"ビション・フリーゼ", type:"D"}, {name:"ビズラ", type:"L"}, {name:"ファラオ・ハウンド", type:"L"}, {name:"フィールド・スパニエル", type:"L"}, {name:"フィニッシュ・スピッツ", type:"L"}, {name:"ブーヴィエ・デ・フランドル", type:"L"}, {name:"プードル（スタンダード）", type:"L"}, {name:"プードル（トイ）", type:"D"}, {name:"プーリー", type:"L"}, {name:"プチ・バセット・グリフォン・バンデーン", type:"L"}, {name:"ブラック・アンド・タン・クーンハウンド", type:"L"}, {name:"フラットコーテッド・レトリーバー", type:"L"}, {name:"ブラッドハウンド", type:"L"}, {name:"ブリアード", type:"L"}, {name:"ブリタニー", type:"L"}, {name:"ブリュッセル・グリフォン", type:"D"}, {name:"ブル・テリア", type:"L"}, {name:"ブル・マスティフ", type:"L"}, {name:"ブルドッグ", type:"L"}, {name:"フレンチ・ブルドッグ", type:"D"}, {name:"プロットハウンド", type:"L"}, {name:"ペキニーズ", type:"D"}, {name:"ベドリントン・テリア", type:"L"}, {name:"ベルジアン・グローネンダール", type:"L"}, {name:"ベルジアン・タービュレン", type:"L"}, {name:"ベルジアン・マリノア", type:"L"}, {name:"ポインター", type:"L"}, {name:"ボーダー・コリー", type:"L"}, {name:"ボーダー・テリア", type:"D"}, {name:"ポーリッシュ ローランド シープドッグ", type:"L"}, {name:"ボクサー", type:"L"}, {name:"ボストン・テリア", type:"D"}, {name:"ポメラニアン", type:"D"}, {name:"ボルゾイ", type:"L"}, {name:"ポルトガル・ウォーター・ドック", type:"L"}, {name:"マスティフ", type:"L"}, {name:"マルチーズ", type:"D"}, {name:"マンチェスター・テリア", type:"D"}, {name:"ミニチュア・シュナウザー", type:"D"}, {name:"ミニチュア・ピンシャー", type:"D"}, {name:"ミニチュア・ブル・テリア", type:"D"}, {name:"ヨークシャー・テリア", type:"D"}, {name:"ラサ・アプソ", type:"D"}, {name:"ラブラドール・レトリーバー", type:"L"}, {name:"レークランド・テリア", type:"D"}, {name:"レッドボーン・クーンハウンド", type:"L"}, {name:"ローシェン", type:"D"}, {name:"ローデシアン・リッジバック", type:"L"}, {name:"ロットワイラー", type:"L"}, {name:"ワイマラナー", type:"L"}, {name:"ワイヤー･フォックス･テリア", type:"D"}, {name:"ワイヤーヘアード・ポインティング・グリフォン", type:"L"}, {name:"ミックス（雑種）30kg以上", type:"L"}, {name:"ミックス（雑種）30kg以下", type:"D"}, {name:"その他", type:"D"}];
			
			var cats= [{name:"アビシニアン", type:"S"}, {name:"アメリカン・カール", type:"S"}, {name:"アメリカン・ショートヘアー", type:"S"}, {name:"アメリカン・ボブテイル ", type:"S"}, {name:"アメリカン・ワイヤーヘアー", type:"S"}, {name:"エキゾティック", type:"S"}, {name:"エジプシャンマウ", type:"S"}, {name:"オシキャット ", type:"S"}, {name:"オリエンタル", type:"S"}, {name:"カラーポイントショートヘア", type:"S"}, {name:"コーニッシュ・レックス", type:"S"}, {name:"コラット", type:"S"}, {name:"サイアミーズ(シャム猫)", type:"S"}, {name:"サイベリアン", type:"S"}, {name:"ジャバニーズ", type:"S"}, {name:"ジャパニーズ・ボブテイル ", type:"S"}, {name:"シャルトリュー", type:"S"}, {name:"シンガプーラ ", type:"S"}, {name:"スコティッシュ・フォールド ", type:"S"}, {name:" スフィンクス ", type:"S"}, {name:"セルカーク・レックス", type:"S"}, {name:"ソマリ", type:"S"}, {name:"ターキッシュ・アンゴラ", type:"S"}, {name:"ターキッシュ・バン ", type:"S"}, {name:"デボン・レックス", type:"S"}, {name:"ドメスティック・ロング・ヘア", type:"S"}, {name:"ドメスティック・ショート・ヘア", type:"S"}, {name:"トンキニーズ", type:"S"}, {name:"ノルウェージャン・フォレスト・キャット ", type:"S"}, {name:"バーマン ", type:"S"}, {name:"バーミーズ", type:"S"}, {name:"ハバナ・ブラウン", type:"S"}, {name:"バリニーズ", type:"S"}, {name:"ブリティッシュ･ショート･ヘア", type:"S"}, {name:"ペルシャ猫 ", type:"S"}, {name:"ベンガル", type:"S"}, {name:"ボンベイ", type:"S"}, {name:"マンクス ", type:"S"}, {name:"マンチカン", type:"S"}, {name:"メインクーン", type:"S"}, {name:"ヨーロピアン･バーミーズ", type:"S"}, {name:"ラグドール", type:"S"}, {name:"ラパーム", type:"S"}, {name:"ロシアンブルー ", type:"S"}, {name:"雑種", type:"S"}, {name:"その他", type:"S"}];
			
			var i;
			for(i = 0; i < dogs.length; i++)
			{
				var option = document.createElement("option");
				$(option).attr("value", i + 1);
				$(option).data("type", dogs[i].type);
				$(option).html(dogs[i].name);
				$("#step1_breed_dog").append(option);
			}
			for(i = 0; i < cats.length; i++)
			{
				var option = document.createElement("option");
				$(option).attr("value", i + 1);
				$(option).data("type", cats[i].type);
				$(option).html(cats[i].name);
				$("#step1_breed_cat").append(option);
			}
			
		},
		getRoundWeight:function(val){
			var weight = val * 100;
			weight = Math.round(weight);
			weight = weight / 100;
			
			return weight;
		},
		getBreedImage:function(){//ペット種画像を返却
			var src = "img/step1/";
			src += ($("body").data("type") == 1)? "dog_" + $("#step1_breed_dog").val() : "cat_" + $("#step1_breed_cat").val();
			src += ".jpg";
			return src;
		},
		setWeight:function(){
			$("body").data("weight", $.getRoundWeight($("#step1_weight").val()));
			$("#step2_dog_size1").val($("body").data("weight"));
			$("#step2_cat_size1").val($("body").data("weight"));
		},
		setProfile:function(){//プロフィールを設定する
			var html = '';
			
			html += '<h3>プロフィール</h3>';
			html += '<ul>';
			html += '<li>';
			html += '<span class="name">ペットの名前</span>';
			html += '<span class="value pet_name">' + $("#step1_name").val() + '</span>';
			html += '</li>';
			html += '<li>';
			html += '<span class="name">ペットの種類</span>';
			html += '<span class="value">' + $.getPetBreedName() + '</span>';
			html += '</li>';
			html += '<li>';
			html += '<span class="name">ペットの性別</span>';
			html += '<span class="value">' + $("input[name='step1_sex']:checked").val();
			if($("input[name='step1_castrate']:checked").val() == "済")
			{
				html += ($("input[name='step1_sex']:checked").val() == "オス")? "（去勢）" : "（避妊）";
			}
			html += '</span>';
			html += '</li>';
			html += '<li>';
			html += '<span class="name">ペットの生年月</span>';
			html += '<span class="value">' + $("#step1_birth_year").val() + "年" + $("#step1_birth_month").val() + "月" +  '</span>';
			html += '</li>';
			html += '<li>';
			html += '<span class="name">ペットの体重</span>';
			html += '<span class="value">' + $("body").data("weight") + "kg" + '</span>';
			html += '</li>';
			html += '</ul>';
			
			if($.getPetBreedName().indexOf("---") == -1)
			{
				html += '<div class="type">';
				html += '<img src="' + $.getBreedImage() + '" width="167" alt="" />';
				html += '</div>';
			}
			
			if($("body").data("isSizeSkip") == false)
			{
				if(location.hash == "#!/step2" || location.hash == "#!/step3" || location.hash == "#!/step4")
				{
					html += '<div class="size">';
					html += '<p>体型計測値</p>';
					html += '<dl>';
					
					if($("body").data("type") == 1)
					{
						html += '<dt>頭長</dt>';
						html += '<dd>' + $("#step2_dog_size2").val() + "cm" + '</dd>';
						html += '<dt>頭囲</dt>';
						html += '<dd>' + $("#step2_dog_size3").val() + "cm" + '</dd>';
						html += '<dt>前肢長</dt>';
						html += '<dd>' + $("#step2_dog_size4").val() + "cm" + '</dd>';
						html += '<dt>後肢長</dt>';
						html += '<dd>' + $("#step2_dog_size5").val() + "cm" + '</dd>';
					}
					else
					{
						html += '<dt>頭囲</dt>';
						html += '<dd>' + $("#step2_cat_size2").val() + "cm" + '</dd>';
						html += '<dt>胸囲</dt>';
						html += '<dd>' + $("#step2_cat_size3").val() + "cm" + '</dd>';
						html += '<dt>前肢外周</dt>';
						html += '<dd>' + $("#step2_cat_size4").val() + "cm" + '</dd>';
						html += '<dt>前肢長</dt>';
						html += '<dd>' + $("#step2_cat_size5").val() + "cm" + '</dd>';
						html += '<dt>後肢長</dt>';
						html += '<dd>' + $("#step2_cat_size6").val() + "cm" + '</dd>';
						html += '<dt>胴長</dt>';
						html += '<dd>' + $("#step2_cat_size7").val() + "cm" + '</dd>';
					}
					html += '</dl>';
					html += '</div>';
				}
			}
			
			html += '</ul>';
			
			$(".profile").html(html);
		},
		getPetBreedName:function(){
			var str = "";
			if($("body").data("type") == 1)
			{
				str += "犬<br />";
				if($("#step1_breed_dog").val() < 1)
				{
					str += "---";
				}
				else
				{
					str += $("#step1_breed_dog").children(':selected').text();
				}
			}
			else
			{
				str += "猫<br />";
				if($("#step1_breed_cat").val() < 1)
				{
					str += "---";
				}
				else
				{
					str += $("#step1_breed_cat").children(':selected').text();
				}
			}
			return str;
		},
		getSizeDiscription:function(val){//サイズ説明を返却
			var data = {};
			if($("body").data("type") == 1)
			{
				data.img = "img/step2/discription_dog_" + val + ".jpg";
				switch(val)
				{
					case "1":
						data.str = "";
						break;
					case "2":
						data.str = "外後頭隆起から、両眼の中心までの長さをはかります。";
						break;
					case "3":
						data.str = "両眼と両耳の間にメジャーを緩まないように回し、頭部の最も幅の広い部分をはかります。";
						break;
					case "4":
						data.str = "中央肉球（掌球）の近位端から肘までの長さをはかります。このとき手根はまっすぐに保持します。";
						break;
					case "5":
						data.str = "中央肉球（足底球）の近位端から踵骨突起の背側端までの長さをはかります。このとき手根はまっすぐに保持します。";
						break;
				}
			} else {
				data.img = "img/step2/discription_cat_" + val + ".jpg";
				switch(val)
				{
					case "1":
						data.str = "";
						break;
					case "2":
						data.str = "両眼と両耳の間にメジャーを緩まないように回し、頭部の最も幅の広い部分をはかります。";
						break;
					case "3":
						data.str = "胸郭の心臓のある辺り（肘の後ろ）にメジャーを緩まないように回してはかります。";
						break;
					case "4":
						data.str = "前肢の手根骨と肘の中間点をメジャーを緩まないように回してはかります。";
						break;
					case "5":
						data.str = "中央肉球（掌球）の近位端から肘の先端までの長さをはかります。このとき手根はまっすぐに保持します。";
						break;
					case "6":
						data.str = "中央肉球（足底球）の近位端から踵骨突起の背側端までの長さをはかります。このとき手根はまっすぐに保持します。";
						break;
					case "7":
						data.str = "鼻の先から尻尾の付け根までの長さをはかります。このときメジャーを頭・首・背中の輪郭にそって、背中の中心線に保持します。";
						break;
				}
			}
			return data;
		},
		setWeight2:function(){
			if($("body").data("type") == 1)
			{
				$("body").data("weight", $.getRoundWeight($("#step2_dog_size1").val()));
			}
			else
			{
				$("body").data("weight", $.getRoundWeight($("#step2_cat_size1").val()));
			}
			
			$("#step1_weight").val($("body").data("weight"));
		},
		setFat:function(){//体脂肪率計算
			var fat = 0;
			var age = $.getAge();	
			var weight = $("body").data("weight") * $.consts.KGtoLB;
			
			if($("body").data("type") == 1)
			{
				var CONST = {Intercept:-357.18443, Age:-9.02412, BW:8.25308, Head_A2:8.92177, FLL:96.85889, FLL_HLL:-111.07462};
				
				var headCircumference = $("#step2_dog_size3").val();
				var frontLegLength = $("#step2_dog_size4").val();
				var hindLegLength = $("#step2_dog_size5").val();
				
				var head_squared = Math.pow(headCircumference / 6, 2);
				var frontLeg_hindLeg = frontLegLength - hindLegLength;
				
				var mbs = CONST.Intercept + CONST.Age * age + CONST.BW * weight + CONST.Head_A2 * head_squared + CONST.FLL * frontLegLength + CONST.FLL_HLL * frontLeg_hindLeg;
				var lbs = (Math.pow(mbs, (4 / 3)) * 0.8) / 454;
				fat = ((weight - lbs) / weight) * 100;
			}
			else
			{
				var CONST = {Intercept:-3058.6959, HDxHLL:30.31693, FL_Circ:316.86436, TDxFLL:2.55299, B_Length:14.38084};
				
				var headCircumference = $("#step2_cat_size2").val();
				var thoracicCircumference = $("#step2_cat_size3").val();
				var frontLegCircumference = $("#step2_cat_size4").val();
				var frontLegLength = $("#step2_cat_size5").val();
				var hindLegLength = $("#step2_cat_size6").val();
				var bodyLength = $("#step2_cat_size7").val();
				
				var thoracic_x_fll = (thoracicCircumference / 3) * frontLegLength;
				var hd_x_hll = (headCircumference / 3) * hindLegLength;
				
				var lbs = ((CONST.Intercept + CONST.HDxHLL * hd_x_hll + CONST.FL_Circ * frontLegCircumference + CONST.TDxFLL * thoracic_x_fll + CONST.B_Length * bodyLength) / 454);
				fat = (weight - lbs) / weight * 100;
			}
			
			//小数点以下を丸める
			fat = fat * 10;
			fat = Math.round(fat);
			fat = fat / 10;
			$("body").data("fat", fat);
			
			if(fat < 0)
			{
				$("body").data("bfi", 0);
			}
			else if(fat < 26)
			{
				$("body").data("bfi", 20);
			} else if(26 <= fat && fat < 36)
			{
				$("body").data("bfi", 30);
			} else if(36 <= fat && fat < 46)
			{
				$("body").data("bfi", 40);
			} else if(46 <= fat && fat < 56)
			{
				$("body").data("bfi", 50);
			} else if(56 <= fat && fat < 66)
			{
				$("body").data("bfi", 60);
			} else if(66 <= fat)
			{
				$("body").data("bfi", 70);
			}
			
			$("body").data("ideal_weight",$.getIdealWeight());
		},
		getAge:function(){//年齢計算
			var today = new Date();
			if ($("#step1_birth_month").val() * 100 > (today.getMonth() + 1) * 100 + today.getDate() ) {
				return today.getFullYear() - $("#step1_birth_year").val() - 1;
			}
			return today.getFullYear() - $("#step1_birth_year").val();
		},
		getIdealWeight:function(bfi){
			var ideal_weight = $("body").data("weight") * (100 - $("body").data("bfi")) / 80;
			ideal_weight = ideal_weight * 100;
			ideal_weight = Math.round(ideal_weight);
			ideal_weight = ideal_weight / 100;
			
			return ideal_weight;
		},
		getFaiImage:function(){//体脂肪率に応じたBFI画像
			var src = "img/step3/" + $.typeCheck() + $.weightCheck($("body").data("type")) + "_bfi_" + $("body").data("bfi") + ".jpg";
			return src;
		},
		productSelect:function(){//選択可能商品を設定
			var type = $("body").data("type"),
				product = $("#product_select li > span > :radio"),
				showProduct,
				bfi;
			if(type){
				if(type == 1){
					showProduct = product.filter("[id^=dog]");
					$("#product_type").text("プリスクリプション・ダイエット〈犬用〉");
					$("#product_type_pro").text("サイエンス・ダイエット〈プロ〉犬用/小型犬用");
				}else if(type == 2){
					showProduct = product.filter("[id^=cat]");
					$("#product_type").text("プリスクリプション・ダイエット〈猫用〉");
					$("#product_type_pro").text("サイエンス・ダイエット〈プロ〉猫用");
				};
			};
			bfi = type = $("body").data("bfi");
			if(bfi == 20){
				showProduct = showProduct.not("[id$=rd]");
				$("#product_type_pro").show();
			}else if(bfi >=30){
				//showProduct = showProduct.slice(0,showProduct.size() - 1);
				
				showProduct = showProduct.not("[id$=wd]");
				$("#product_type_pro").hide();
				//"w/d"
			}
			product.attr("checked",false).parents("li").hide();
			showProduct.parents("li").show();
		},
		initSizeDiscription:function(){
			if($("body").data("type") == 1)
			{
				$("#step2_dog_size2").focus();
			}
			else
			{
				$("#step2_cat_size2").focus();
			}
		},
		setSizeDiscription:function(val){
			$("#discription").css("display", (val != 1)? "block" : "none");
			$("#discription_arrow").css("display", (val != 1)? "block" : "none");
			
			var sizeDiscription = $.getSizeDiscription(val);
			$("#discription_image").attr("src", sizeDiscription.img);
			$("#discription_text").html(sizeDiscription.str);
		},
		setBfiType:function(){
			var src = "img/step3/" + $.typeCheck() + $.weightCheck($("body").data("type")) + ".jpg";
			$("#bfi_pet_type").attr("src", src);
		},
		setBfiDiscription:function(){//選択したBFIに対応した説明画像に
			var bfi = Math.max(20, $("body").data("bfi"));
			var src = "img/step3/" + $.typeCheck() + $.weightCheck($("body").data("type")) + "_" + bfi + ".jpg";
			$("#bfi_img").attr("src", src);
		},
		bfiRound:function(bfi){//bfiの値を丸める
			if(bfi < 30.0){
				bfi = 20;
			}else if(30.0 <= bfi && bfi < 40.0){
				bfi = 30;
			}else if(40.0 <= bfi && bfi < 50.0){
				bfi = 40;
			}else if(50.0 <= bfi && bfi < 60.0){
				bfi = 50;
			}else if(60.0 <= bfi && bfi < 70.0){
				bfi = 60;
			}else if(70.0 <= bfi){
				bfi = 70;
			};
			return bfi;
		},
		typeCheck:function(){
			var type = $("body").data("type"),
				val = [];
			if(type){
				if(type == 1){
					val.push("dog");
				}else if(type == 2){
					val.push("cat");
				};
			};
			return val;
		},
		weightCheck:function(type){
			var bodyType = $("#step1_breed_dog").children(':selected').data("type");
				val = [];
			if(type == 1 && bodyType){
				if(bodyType == "D"){
					val.push("01");
				}else{
					val.push("02");
				}
			}else{
				val.push("01");
			};
			return val;
		},
		errorCheckStep1:function(){
			var emsg = "";
			if($("#step1_weight").val() == ""){
				emsg += "ペットの体重を入力してください。\n";
			}else if(isNaN($("#step1_weight").val())){
				emsg += "ペットの体重は半角数値で入力してください。\n";
			}else if($("#step1_weight").val() < 1){
				emsg += "ペットの体重は1～99の間で入力してください。\n";
			}else if($("#step1_weight").val() > 99){
				emsg += "ペットの体重は1～99の間で入力してください。\n";
			};
			return emsg;
		},
		errorCheckStep2:function(){//サイズ入力チェック
			var emsg = "";
			if($("body").data("type") == 1)
			{
				if($("#step2_dog_size1").val() == ""){
					emsg += "体重を入力してください。\n";
				}else if(isNaN($("#step2_dog_size1").val())){
					emsg += "体重は半角数値で入力してください。\n";
				}else if($("#step2_dog_size1").val() < 1){
					emsg += "体重は1～99の間で入力してください。\n";
				}else if($("#step2_dog_size1").val() > 99){
					emsg += "体重は1～99の間で入力してください。\n";
				};
				
				if($("#step2_dog_size2").val() == ""){
					emsg += "頭の長さを入力してください。\n";
				}else if(isNaN($("#step2_dog_size2").val())){
					emsg += "頭の長さは半角数値で入力してください。\n";
				}
				
				if($("#step2_dog_size3").val() == ""){
					emsg += "頭囲を入力してください。\n";
				}else if(isNaN($("#step2_dog_size3").val())){
					emsg += "頭囲は半角数値で入力してください。\n";
				}
				
				if($("#step2_dog_size4").val() == ""){
					emsg += "前肢の長さを入力してください。\n";
				}else if(isNaN($("#step2_dog_size4").val())){
					emsg += "前肢の長さは半角数値で入力してください。\n";
				}
				
				if($("#step2_dog_size5").val() == ""){
					emsg += "後肢の長さを入力してください。\n";
				}else if(isNaN($("#step2_dog_size5").val())){
					emsg += "後肢の長さは半角数値で入力してください。\n";
				}
			}
			else
			{
				if($("#step2_cat_size1").val() == ""){
					emsg += "体重を入力してください。\n";
				}else if(isNaN($("#step2_cat_size1").val())){
					emsg += "体重は半角数値で入力してください。\n";
				}else if($("#step2_cat_size1").val() < 1){
					emsg += "体重は1～99の間で入力してください。\n";
				}else if($("#step2_cat_size1").val() > 99){
					emsg += "体重は1～99の間で入力してください。\n";
				};
				
				if($("#step2_cat_size2").val() == ""){
					emsg += "頭囲を入力してください。\n";
				}else if(isNaN($("#step2_cat_size2").val())){
					emsg += "頭囲は半角数値で入力してください。\n";
				}
				
				if($("#step2_cat_size3").val() == ""){
					emsg += "胸囲を入力してください。\n";
				}else if(isNaN($("#step2_cat_size3").val())){
					emsg += "胸囲は半角数値で入力してください。\n";
				}
				
				if($("#step2_cat_size4").val() == ""){
					emsg += "前肢外周を入力してください。\n";
				}else if(isNaN($("#step2_cat_size4").val())){
					emsg += "前肢外周は半角数値で入力してください。\n";
				}
				
				if($("#step2_cat_size5").val() == ""){
					emsg += "前肢長を入力してください。\n";
				}else if(isNaN($("#step2_cat_size5").val())){
					emsg += "前肢長は半角数値で入力してください。\n";
				}
				
				if($("#step2_cat_size6").val() == ""){
					emsg += "後ろ足の長さ入力してください。\n";
				}else if(isNaN($("#step2_cat_size6").val())){
					emsg += "後ろ足の長さは半角数値で入力してください。\n";
				}
				
				if($("#step2_cat_size7").val() == ""){
					emsg += "胴長を入力してください。\n";
				}else if(isNaN($("#step2_cat_size7").val())){
					emsg += "胴長は半角数値で入力してください。\n";
				}
			}
			return emsg;
		},
		errorCheckStep2Size:function(){//サイズ入力範囲チェック
			var isError = false;
			if($("body").data("type") == 1)
			{
				var check1 = $("#step2_dog_size3").val() / $("#step2_dog_size2").val();
				if(check1 < 2.25 || check1 > 3.57) isError = true;
				
				var check2 = $("#step2_dog_size3").val() / $("#step2_dog_size4").val();
				if(check2 < 0.69 || check2 > 3.09) isError = true;
				
				var check3 = $("#step2_dog_size4").val() / $("#step2_dog_size5").val();
				if(check3 < 1.49 || check3 > 2.32) isError = true;
				
				var check4 = $("#step2_dog_size2").val() / $("#step2_dog_size5").val();
				if(check4 < 0.70 || check4 > 1.77) isError = true;
			}
			else
			{
				var check1 = $("#step2_cat_size2").val() / $("#step2_cat_size4").val();
				if(check1 < 2.37 || check1 > 3.25) isError = true;
				
				var check2 = $("#step2_cat_size2").val() / $("#step2_cat_size6").val();
				if(check2 < 2.17 || check2 > 3.03) isError = true;
				
				var check3 = $("#step2_cat_size6").val() / $("#step2_cat_size3").val();
				if(check3 < 0.12 || check3 > 0.32) isError = true;
				
				var check4 = $("#step2_cat_size7").val() / $("#step2_cat_size3").val();
				if(check4 < 0.80 || check4 > 1.99) isError = true;
				
				var check5 = $("#step2_cat_size7").val() / $("#step2_cat_size5").val();
				if(check5 < 3.17 || check5 > 4.24) isError = true;
				
				var check6 = $("#step2_cat_size5").val() / $("#step2_cat_size4").val();
				if(check6 < 1.47 || check6 > 2.25) isError = true;
			}
			
			return isError;
		},
		errorCheckStep2Skip:function(){//サイズ入力チェック（サイズ入力スキップ）
			var emsg = "";
			if($("body").data("type") == 1)
			{
				if($("#step2_dog_size1").val() == ""){
					emsg += "体重を入力してください。\n";
				}else if(isNaN($("#step2_dog_size1").val())){
					emsg += "体重は半角数値で入力してください。\n";
				}else if($("#step2_dog_size1").val() < 1){
					emsg += "体重は1～99の間で入力してください。\n";
				}else if($("#step2_dog_size1").val() > 99){
					emsg += "体重は1～99の間で入力してください。\n";
				};
			}
			else
			{
				if($("#step2_cat_size1").val() == ""){
					emsg += "体重を入力してください。\n";
				}else if(isNaN($("#step2_cat_size1").val())){
					emsg += "体重は半角数値で入力してください。\n";
				}else if($("#step2_cat_size1").val() < 1){
					emsg += "体重は1～99の間で入力してください。\n";
				}else if($("#step2_cat_size1").val() > 99){
					emsg += "体重は1～99の間で入力してください。\n";
				};
			}
			return emsg;
		},
		errorCheckStep3:function(){
			var emsg = "";
			if($("#product_select li :radio[name=pd]:checked").length == 0){
				emsg += "製品を選択してください。\n";
			};
			return emsg;
		},
		alertErrorMsg:function(str){
			alert(str);
		},
		
		printReady:function(){
			$(".food_select").each(function() {
				$(this).next(".food_select_print").html($(this).children(':selected').text());
			});
			
			$("#hospital_info .print").each(function() {
				$(this).html($(this).parent().find(".disp input").val());
			});
			
			var caption = $("#hospital_info .caption textarea").val();
			caption = caption.replace(/\r\n/g, "<br />");
			caption = caption.replace(/(\n|\r)/g, "<br />");
			$("#hospital_info .caption_print").html(caption);
		}
	});
	
//tab
	$("#tab_step1").bind("click", function(){
		location.hash = "#!/step1";
	});
	$("#tab_step2").bind("click", function(){
		location.hash = "#!/step2";
	});
	$("#tab_step3").bind("click", function(){
		location.hash = "#!/step3";
	});
	$("#tab_step4").bind("click", function(){
		location.hash = "#!/step4";
	});
	
//step1
	$("input[name='step1_type']").bind("change", function(){
		$("body").data("type", $(this).val());
		$("#step1_breed_dog").css("display", ($("body").data("type") == 1)? "block" : "none");
		$("#step1_breed_cat").css("display", ($("body").data("type") == 2)? "block" : "none");
		
		$("#pet_breed").attr("src", $.getBreedImage());
	});
	
	$("#step1_breed_dog, #step1_breed_cat").bind("change", function(){
		$("#pet_breed").attr("src", $.getBreedImage());
	});
	
//step2
	$('.step2_input').focus(function(){
		$(this).addClass('step2_input_active');
		
		var id = $(this).attr("id").split("size")[1];
		$.setSizeDiscription(id);
		
		$("#discription_arrow").css("top", $(this).position().top + 3);
		
	}).blur(function(){
		$(this).removeClass('step2_input_active');
	});

//step4
	$("#print").bind("click", function(){
		$.printReady();
		print();
	});
	
	$("#hospital_info input, #hospital_info textarea").bind("change",function(){
		$.printReady();
	});
	
	

//page move
	$("#intro_start").bind("click",function(){
		location.hash = "#!/step1";
	});
	
	$("#step1_submit").bind("click",function(){
		var error = $.errorCheckStep1();
		if(error.length > 0)
		{
			alert(error);
			return;
		}
		
		if($.getAge() < 1){
			alert("1歳未満のペットには本プログラムの使用を推奨しておりません");
		}
		
		$.setWeight();
		$.setProfile();
		location.hash = "#!/step2";
	});
	
	$("#step2_submit").bind("click",function(){
		var error = $.errorCheckStep2();
		if(error.length > 0)
		{
			alert(error);
			return;
		}
		
		var sizeError = $.errorCheckStep2Size();
		if(sizeError)
		{
			if(window.confirm("入力した数値が正しいか確認してください。\n正しければ、このまま次へ進んでください。"))
			{
				
			}
			else
			{
				return;
			}
		}
		
		$("body").data("isSizeSkip", false);
		
		$.setWeight2();
		$.setProfile();
		$.setFat();
		
		$(".result_now_weight").html($("body").data("weight"));
		$(".result_ideal_weight").html($("body").data("ideal_weight"));
		$(".result_fat").html($("body").data("fat"));
		$(".result_bfi").html($("body").data("bfi"));
		$("#fat_img").attr("src", $.getFaiImage);
		
		if($("body").data("fat") <= 15 || $("body").data("fat") >= 76 || isNaN($("body").data("fat")))
		{
			$(".result_ideal_weight").html("--");
			$(".result_fat").html("--");
			
			$("#step3 .caution").show();
			$("#fat_img, #product_select, #step3_submit").hide();
		}
		else
		{
			$("#step3 .caution").hide();
			$("#fat_img, #product_select, #step3_submit").show();
		}
		
		location.hash = "#!/step3";
	});
	
	$("#step2_skip").bind("click",function(){
		var error = $.errorCheckStep2Skip();
		if(error.length > 0)
		{
			alert(error);
			return;
		}
		
		$("body").data("isSizeSkip", true);
		
		$.setWeight2();
		$.setProfile();
		$.setBfiType();
		$.setBfiDiscription();
		
		$(".result_now_weight").html($("body").data("weight"));
		$(".result_ideal_weight").html("--");
		$(".result_bfi").html($("body").data("--"));
		
		$("#step3 .caution").hide();
		$("#fat_img, #product_select, #step3_submit").show();
		
		location.hash = "#!/step3";
	});

//hashchange
	$(window).hashchange(function(){
		
		$("#intro").css("display", (location.hash == "#!/" || location.hash == "")? "block" : "none");
		$("#tab").css("display", (location.hash == "#!/" || location.hash == "")? "none" : "block");
		$("#frame").css("display", (location.hash == "#!/" || location.hash == "")? "none" : "block");
		$("#step1").css("display", (location.hash == "#!/step1")? "block" : "none");
		$("#step2").css("display", (location.hash == "#!/step2")? "block" : "none");
		$("#step3").css("display", (location.hash == "#!/step3")? "block" : "none");
		$("#step4").css("display", (location.hash == "#!/step4")? "block" : "none");
		
		$('html,body').animate({ scrollTop: 0 }, {duration: 400, easing: 'easeOutCirc'});
		
		switch(location.hash)
		{
			case "#!/step1":
				$.setTabState(1);
				ga('send', 'event', 'page', 'click', 'STEP1');
				break;
			
			case "#!/step2":
				$("#dog_size").css("display", ($("body").data("type") == 1)? "block" : "none");
				$("#cat_size").css("display", ($("body").data("type") == 2)? "block" : "none");
				
				$.initSizeDiscription();
				$.setTabState(2);
				ga('send', 'event', 'page', 'click', 'STEP2');
				break;
				
			case "#!/step3":
				$("#step3_inputed").css("display", ($("body").data("isSizeSkip"))? "none" : "block");
				$("#step3_title_inputed").css("display", ($("body").data("isSizeSkip"))? "none" : "block");
				$(".fat_result").css("display", ($("body").data("isSizeSkip"))? "none" : "block");
				
				$("#step3_skiped").css("display", ($("body").data("isSizeSkip"))? "block" : "none");
				$("#step3_title_skiped").css("display", ($("body").data("isSizeSkip"))? "block" : "none");
				$(".bfi_result").css("display", ($("body").data("isSizeSkip"))? "block" : "none");
				
				$("body").data("isSetSlider", false);
				$.setTabState(3);
				$.productSelect();
				ga('send', 'event', 'page', 'click', 'STEP3');
				
				break;
				
			case "#!/step4":
				if($("body").data("isSizeSkip") && !$("body").data("isSetSlider"))
				{
					$("body").data("ideal_weight",$.getIdealWeight());
					$(".result_ideal_weight").html($("body").data("ideal_weight"));
					$(".result_bfi").html($("body").data("bfi"));
				}
				$.setTabState(4);
				ga('send', 'event', 'page', 'click', 'STEP4');
				break;
		}
	});

//domContentLoaded
	$.init();

//onload
	$(window).bind("load",function(){
		location.hash = "#!/";
//onunload
	}).bind("unload",function(){
		location.hash = "#!/";
	}).bind("onbeforeprint", function(){
		$.printReady();
	});
	

//減量プランボタンクリック
	$("#step3_submit").bind("click",function(){
		var error = $.errorCheckStep3();
		if(error.length > 0)
		{
			alert(error);
			return;
		}
		
		location.hash = "#!/step4";
		
		$.extend({
			//digit：切り上げたい小数点の位 例）小数点第2位まで表示する場合はdigit=3
			round:function(num,digit){
				var _num = String(num);
				var goalarr = _num.split("."),
					under;
				if(!goalarr[1] || goalarr[1].length < digit){
					return num;
				};
				under = goalarr[1].substring(0,digit);
				//まず10で割り、切り上げる数を小数点代1位へ。さらにdigit-1分小数点にする。
				under = Math.round(Number(goalarr[0] + under) / 10) / Math.pow(10,(digit - 1));
				return under;
			},
			energyConst:function(product){
				var obj = {};
				switch (Number(product)){
					case 1 : obj = {//dog_rd
							name:"プリスクリプション・ダイエット〈犬用〉r/d",
							ec1:1.0,			//エネルギー定数
							ec2:1.0,			//エネルギー定数
							dry:313,		//ドライ kcal/100g
							density:77,		//粒密度 g/200cc
							can:72.5,		//缶詰 kcal/100g
							treats:279.3,	//トリーツ kcal/100g
							biscuit:340,	//ビスケット kcal/100g
							capacity:{
								dry01:1000,	//ドライ01の容量
								dry02:3000,	//ドライ02の容量
								dry03:7500,	//ドライ03の容量
								can01:350,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:2.02//ビスケットの1ピースあたりの容量
							},
							price:{
								dry01:2257,	//dry1kgパックの値段
								dry02:5305,	//dry3kgパックの値段
								dry03:10710,//dry7.5kgパックの値段
								can01:419,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.02,
								best:0.01,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).show()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).show()
							.end().eq(6 +1).show();
						$("#supply_table th.product")
							.eq(0).html("<span style='width:75px;padding:0 5px 0 20px;'><img src='img/step4/dog_rd_dry01.png' alt='' /><br />ドライ</span><span style='width:75px;padding:0 20px 0 5px;'><img src='img/step4/dog_rd_dry02.png' alt='' /><br />小粒 ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("<img src='img/step4/dog_rd_can01.png' alt='' /><br />缶詰 350g")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("<img src='img/step4/dog_metabo_biscuit01.png' alt='' /><br />ビスケット 80g")
							.end().eq(6).html("<img src='img/step4/dog_rd_treats01.png' alt='' /><br />トリーツ");
						$("#meal_use_together").show();
						$("#can01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#biscuit01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※ビスケットの個数を選択してください</span>");
						$("#treats01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※トリーツの個数を選択してください</span>");
						$(".arrival_time").show();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>缶詰</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
						});
						$("#dry_title").html("ドライ<br />小粒 ドライ<sup>※2</sup>");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr#can_title01").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。※2 小粒ドライは7.5kg製品はありません");
						break;
					case 2 : obj = {//dog_w/d
							name:"プリスクリプション・ダイエット〈犬用〉w/d",
							ec1:1.4,
							ec2:1.4,
							dry:295,
							density:77,
							density2:69,
							can:88.8,
							can03:56.9,
							treats:279.3,
							biscuit:340,
							capacity:{
								dry01:1000, 
								dry02:3000, 
								dry03:7500, 
								can01:156, 
								can02:370,
								can03:156,
								biscuit:2.02
							},
							price:{
								dry01:2130,
								dry02:5170,
								dry03:10570,
								can01:238,
								can02:419,
								can03:300
							},
							weight:{
								fast:0.02,
								best:0.01,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).show()
							.end().eq(2 +1).show()
							.end().eq(3 +1).show()
							.end().eq(4 +1).show()
							.end().eq(5 +1).show()
							.end().eq(6 +1).show();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/dog_wd_dry01.png' alt='' /><br />ドライ")
							.end().eq(1).html("<img src='img/step4/dog_wd_dry02.png' alt='' /><br />小粒 ドライ")
							.end().eq(2).html("<img src='img/step4/dog_wd_can01.png' alt='' /><br />缶詰 156g")
							.end().eq(3).html("<img src='img/step4/dog_wd_can02.png' alt='' /><br />缶詰 370g")
							.end().eq(4).html("<img src='img/step4/dog_wd_can03.png' alt='' /><br />チキン&amp;野菜⼊りシチュー ⽸詰156g")
							.end().eq(5).html("<img src='img/step4/dog_metabo_biscuit01.png' alt='' /><br />ビスケット 80g")
							.end().eq(6).html("<img src='img/step4/dog_rd_treats01.png' alt='' /><br />トリーツ")
						$("#meal_use_together").show();
						$("#can01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can02_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can03_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#biscuit01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※ビスケットの個数を選択してください</span>");
						$("#treats01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※トリーツの個数を選択してください</span>");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th rowspan='2'>缶詰</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>チキン&amp;野菜入りシチュー<br />缶詰</th>"
						});
						$("#dry_title").html("ドライ<br />小粒 ドライ<sup>※2</sup>");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").show();
						$("#price_table tr.dry_sml").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。※2 小粒ドライは7.5kg製品はありません");
						break;
					case 3 : obj = {//cat_r/d
							name:"プリスクリプション・ダイエット〈猫用〉r/d",
							ec1:0.8,
							ec2:0.8,
							dry:318,
							density:86,
							can:77.0,
							treats:0,//トリーツなし
							biscuit:0,
							capacity:{
								dry01:500, 
								dry02:2000, 
								dry03:4000, 
								can01:156, 
								can02:0,
								can03:0,
								biscuit:0
							},
							price:{
								dry01:1419,
								dry02:4143,
								dry03:7290,
								can01:257,
								can02:0,
								can03:0
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).show()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_rd_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("<img src='img/step4/cat_rd_can01.png' alt='' /><br />粗挽きチキン入り缶詰 156g")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").show();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>粗挽きチキン入り缶詰</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr#can_title01").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
					case 4 : obj = {//cat_m/d
							name:"プリスクリプション・ダイエット〈猫用〉m/d",
							ec1:1.0,
							ec2:0.8,
							dry:393,
							density:106,
							can:100.5,
							treats:0,//トリーツなし
							biscuit:0,
							capacity:{
								dry01:500, 
								dry02:2000, 
								dry03:4000, 
								can01:156, 
								can02:0,
								can03:0,
								biscuit:0
							},
							price:{
								dry01:1438,
								dry02:4314,
								dry03:0,
								can01:268,
								can02:0,
								can03:0
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).show()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_md_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("<img src='img/step4/cat_md_can01.png' alt='' /><br />粗挽き缶詰 156g")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").show();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>粗挽き缶詰</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr#can_title01").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
					case 5 : obj = {//cat_w/d
							name:"プリスクリプション・ダイエット〈猫用〉w/d",
							ec1:1.0,
							ec2:1.0,
							dry:320,
							density:86,
							can:102.0,
							can02:87.2,//缶詰のcalが2種類ある
							treats:0,//トリーツなし
							biscuit:("----"),
							capacity:{
								dry01:500, 
								dry02:2000, 
								dry03:4000, 
								can01:156, 
								can02:156,
								can03:0,
								biscuit:0
							},
							price:{
								dry01:1362,
								dry02:3962,
								dry03:7000,
								can01:257,
								can02:257,
								can03:0
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).show()
							.end().eq(3 +1).show()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_wd_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("<img src='img/step4/cat_wd_can01.gif' alt='' /><br />缶詰 156g")
							.end().eq(3).html("<img src='img/step4/cat_wd_can02.gif' alt='' /><br />粗挽きチキン入り缶詰 156g")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can02_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 缶<br /><span class='emphasis'></span><br /><span class='select_caution'>※缶の個数を選択してください</span>");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>缶詰</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>粗挽きチキン入り缶詰</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr#can_title01, #price_table tr#can_title02").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
					case 6 : obj = {//dog Metabo
							name:"プリスクリプション・ダイエット〈犬用〉メタボリックス",
							ec1:1.6,			//エネルギー定数
							ec2:1.0,			//エネルギー定数
							dry:316.4,		//ドライ kcal/100g
							density:69,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:279.3,
							biscuit:340,
							capacity:{
								dry01:1000,	//ドライ01の容量
								dry02:3000,	//ドライ02の容量
								dry03:7500,	//ドライ03の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:2.02
							},
							price:{
								dry01:2370,	//dry1kgパックの値段
								dry02:5570,	//dry3kgパックの値段
								dry03:11246,//dry7.5kgパックの値段
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.02,
								best:0.01,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).show()
							.end().eq(6 +1).show();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/dog_metabo_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("<img src='img/step4/dog_metabo_biscuit01.png' alt='' /><br />ビスケット 80g")
							.end().eq(6).html("<img src='img/step4/dog_rd_treats01.png' alt='' /><br />トリーツ")
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※トリーツの個数を選択してください</span>");
						$("#biscuit01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※ビスケットの個数を選択してください</span>");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
					case 7 : obj = {//cat Metabo
							name:"プリスクリプション・ダイエット〈猫用〉メタボリックス",
							ec1:1.2,			//エネルギー定数
							ec2:0.8,			//エネルギー定数
							dry:338.1,		//ドライ kcal/100g
							density:74,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:0,		//トリーツなし
							biscuit:0,
							capacity:{
								dry01:500,	//ドライ01の容量
								dry02:2000,	//ドライ02の容量
								dry03:4000,	//ドライ03の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:0
							},
							price:{
								dry01:1490,
								dry02:4350,
								dry03:7655,
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_metabo_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
						
					case 8 : obj = {//dog Metabo plus
							name:"プリスクリプション・ダイエット〈犬用〉c/dマルチケア＋メタボリックス",
							ec1:1.6,			//エネルギー定数
							ec2:1.0,			//エネルギー定数
							dry:318.8,		//ドライ kcal/100g
							density:77,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:279.3,	//トリーツなし
							biscuit:340,
							capacity:{
								dry01:1000,	//ドライ01の容量
								dry02:3000,	//ドライ02の容量
								dry03:0,	//ドライ03の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:2.02
							},
							price:{
								dry01:3910,
								dry02:8170,
								dry03:0,
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).show()
							.end().eq(6 +1).show();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/dog_metabo_plus_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("<img src='img/step4/dog_metabo_biscuit01.png' alt='' /><br />ビスケット 80g")
							.end().eq(6).html("<img src='img/step4/dog_rd_treats01.png' alt='' /><br />トリーツ");
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※トリーツの個数を選択してください</span>");
						$("#biscuit01_combination").html("<select class='food_select'></select><span class='food_select_print'>0</span> 個<br /><span class='emphasis'></span><br /><span class='select_caution'>※ビスケットの個数を選択してください</span>");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
						
					case 9 : obj = {//cat Metabo plus
							name:"プリスクリプション・ダイエット〈猫用〉　c/dマルチケアコンフォート＋メタボリックス",
							ec1:1.2,			//エネルギー定数
							ec2:0.8,			//エネルギー定数
							dry:340.2,		//ドライ kcal/100g
							density:75,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:0,		//トリーツなし
							biscuit:0,
							capacity:{
								dry01:500,	//ドライ01の容量
								dry02:2000,	//ドライ02の容量
								dry03:0,	//ドライ03の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:0
							},
							price:{
								dry01:1640,
								dry02:4790,
								dry03:0,
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_metabo_plus_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
						
					case 10 : obj = {//dog PRO体重管理
							name:"サイエンス・ダイエット〈プロ〉犬用/小型犬用【健康ガード 体重管理】",
							ec1:1.4,			//エネルギー定数
							ec2:1.4,			//エネルギー定数
							dry:298.9,		//ドライ kcal/100g
							density:85,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:0,		//トリーツなし
							biscuit:0,
							capacity:{
								dry01:700,	//ドライ01の容量
								dry02:1600,	//ドライ02の容量
								dry03:3300,	//ドライ03の容量
								dry_sml01:600,	//ドライ小型犬01の容量
								dry_sml02:1500,	//ドライ小型犬02の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:0
							},
							price:{
								dry01:1157,
								dry02:2361,
								dry03:3981,
								dry_sml01:1065,	//ドライ小型犬01の値段
								dry_sml02:2315,	//ドライ小型犬02の値段
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(6 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<span style='width:75px;padding:0 5px 0 20px;'><img src='img/step4/dog_pro_dry01.png' alt='' /><br />ドライ<br />小粒</span><span style='width:75px;padding:0 20px 0 5px;'><img src='img/step4/dog_pro_dry02.png' alt='' /><br />ドライ<br />小型犬用</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ<br />小粒");
						$("#dry_sml_title").html("ドライ<br />小型犬用");
						$("#price_table").show();
						$("#price_table tr.dry, #price_table tr.dry_sml").show();
						$("#price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
						
					case 11 : obj = {//cat PRO体重管理
							name:"サイエンス・ダイエット〈プロ〉猫用【健康ガード 体重管理】",
							ec1:1.0,			//エネルギー定数
							ec2:1.0,			//エネルギー定数
							dry:317.6,		//ドライ kcal/100g
							density:85,		//粒密度 g/200cc
							can:0,			//缶詰 kcal/100g
							treats:0,		//トリーツなし
							biscuit:0,
							capacity:{
								dry01:300,	//ドライ01の容量
								dry02:1500,	//ドライ02の容量
								dry03:3000,	//ドライ03の容量
								can01:0,	//缶詰01の容量
								can02:0,	//缶詰02の容量
								can03:0,	//缶詰03の容量
								biscuit:0
							},
							price:{
								dry01:602,
								dry02:2593,
								dry03:3981,
								can01:0,	//缶詰01の値段
								can02:0,	//缶詰02の値段
								can03:0		//缶詰03の値段
							},
							weight:{
								fast:0.01,
								best:0.0075,
								slow:0.005
							}
						};
						$("#supply_table tr")
							.eq(0 +1).show()
							.end().eq(1 +1).hide()
							.end().eq(2 +1).hide()
							.end().eq(3 +1).hide()
							.end().eq(4 +1).hide()
							.end().eq(5 +1).hide()
							.end().eq(5 +1).hide();
						$("#supply_table th.product")
							.eq(0).html("<img src='img/step4/cat_pro_dry01.png' alt='' /><br />ドライ</span>")
							.end().eq(1).html("----")
							.end().eq(2).html("----")
							.end().eq(3).html("----")
							.end().eq(4).html("----")
							.end().eq(5).html("----")
							.end().eq(6).html("----")
						$("#meal_use_together").show();
						$("#can01_combination").html("----");
						$("#can02_combination").html("----");
						$("#can03_combination").html("----");
						$("#treats01_combination").html("----");
						$("#biscuit01_combination").html("----");
						$(".arrival_time").hide();
						$("#can_title01").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title02").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#can_title03").prepend(function(){
							if($(this).children().length == 4){
								$(this).children().first().remove();
							};
							return "<th>----</th>"
						});
						$("#dry_title").html("ドライ");
						$("#dry_sml_title").html("----");
						$("#price_table").show();
						$("#price_table tr.dry").show();
						$("#price_table tr.dry_sml, #price_table tr#can_title01, #price_table tr#can_title02, #price_table tr#can_title03").hide();
						$("#product_caption").text("※1 希望小売価格から計算した目安です。");
						break;
				}
				return obj;
			},
			energy:{
				rest:0,
				can01_combination:0,
				can02_combination:0,
				treats01:0
			}
		});
		/* 共通
		--------------------------------------------------- */
		//設定
		var type = $("body").data("type");									//ペットの種類
		var weight = $.round($("body").data("weight"),3);					//現在の体重（小数点第3位四捨五入）：kg
		var bfi = $("body").data("bfi");									//BFI
		var goal = $.round((weight * (100 - bfi)) / 80, 3);					//理想体重（小数点第3位四捨五入）：kg
		var product = $("#product_select li > span > :radio[name=pd]:checked");	//選択された商品
		var constant = $.energyConst(product.val());						//定数オブジェクト
		var product_name = constant.name;									//選択された商品名
		var energy;															//1日に必要なエネルギー量（小数点第3位四捨五入）：cal
		if(bfi == 20)
		{
			energy = $.round(constant.ec1 * (70 * Math.pow(goal,0.75)),3);
		}
		else
		{
			energy = $.round(constant.ec2 * (70 * Math.pow(goal,0.75)),3);
		}
		//入力
		$(".select_product").text(product_name);							//選択した商品名出力
		$("#weight,#now span").text(weight);								//現在の体重出力
		$("#bfi").text(bfi);												//BFI値出力
		$("#goal span").text(goal);											//理想体重出力
		$("#result_calorie").text(Math.round(energy));						//必要なエネルギー量出力（小数点以下四捨五入）
		

		/* ドライ
		--------------------------------------------------- */
		//設定
		var meal_dry = Math.round((energy / constant.dry) * 100);			//1日に必要な食事量（ドライ）：g
		var energy_dry = $.round((constant.dry * constant.density) / 100,3);//ドライ:1カップあたりのエネルギー量：cal
		var cup = Math.round((meal_dry / constant.density) * 200) / 200;	//カップ量：カップ
		
		//入力
		if(constant.capacity.can01)
		{
			$("#dry01 .cup,#dry02 .cup").text($.round(cup,2) + "カップ");		//単独ドライのカップ数出力
			$("#dry01 .gram,#dry02 .gram").text(meal_dry + "g");				//単独ドライのグラム数出力
		}
		else
		{
			// 併用製品がない場合
			$("#dry01 .cup").text($.round(cup,2) + "カップ");		//単独ドライのカップ数出力
			$("#dry01 .gram").text(meal_dry + "g");				//単独ドライのグラム数出力
			
			$("#dry02 .cup").text("----");
			$("#dry02 .gram").text("");
		}
		
		//ドライの粒密度が2種類ある場合
		if(constant.density2)
		{
			var energy_dry2 = $.round((constant.dry * constant.density2) / 100,3);//ドライ:1カップあたりのエネルギー量：cal
			var cup2 = Math.round((meal_dry / constant.density2) * 200) / 200;	//カップ量：カップ
			
			//入力
			if(constant.capacity.can01)
			{
				$("#dry03 .cup,#dry04 .cup").text($.round(cup2,2) + "カップ");		//単独ドライのカップ数出力
				$("#dry03 .gram,#dry04 .gram").text(meal_dry + "g");				//単独ドライのグラム数出力
			}
			else
			{
				// 併用製品がない場合
				$("#dry03 .cup").text($.round(cup2,2) + "カップ");		//単独ドライのカップ数出力
				$("#dry03 .gram").text(meal_dry + "g");				//単独ドライのグラム数出力

				$("#dry04 .cup").text("----");
				$("#dry04 .gram").text("");
			}
		}

		/* 缶詰
		--------------------------------------------------- */
		//設定
		var meal_can = Math.round((energy / constant.can) * 100);//1日に必要な食事量（缶詰）：g
		var meal_can02 = Math.round((energy / constant.can02) * 100);//1日に必要な食事量（缶詰02）：g
		var meal_can03 = Math.round((energy / constant.can03) * 100);//1日に必要な食事量（缶詰03）：g
		var energy_can01 = $.round(constant.can * (constant.capacity.can01 / 100),3);//缶詰01:1缶あたりのエネルギー量
		var energy_can02 = $.round(constant.can * (constant.capacity.can02 / 100),3);//缶詰02:1缶あたりのエネルギー量
		var energy_can03 = $.round(constant.can * (constant.capacity.can03 / 100),3);//缶詰03:1缶あたりのエネルギー量
		var can01 = $.round((meal_can / constant.capacity.can01),2);//缶詰01の個数
		var can02 = $.round((meal_can / constant.capacity.can02),2);//缶詰02の個数
		var can03 = $.round((meal_can / constant.capacity.can03),2);//缶詰03の個数
		if(constant.can02){//猫w/dの場合のみ、缶詰のcalが2種類ある
			energy_can02 = $.round((constant.can02 * constant.capacity.can02) / 100,3);//缶詰02:1缶あたりのエネルギー量
			//var can03 = $.round((meal_can02 / constant.capacity.can02),2);//缶詰02の個数(猫w/d）
			can02 = $.round((meal_can02 / constant.capacity.can02),2);//缶詰02の個数(猫w/d）
		};
		if(constant.can03){//犬w/dの場合のみ、シチューの缶詰がある
			energy_can03 = $.round((constant.can03 * constant.capacity.can03) / 100,3);//缶詰03:1缶あたりのエネルギー量
			can03 = $.round((meal_can03 / constant.capacity.can03),2);//缶詰03の個数(犬w/d）
		};
		//入力
		if(constant.capacity.can01 !== 0){//1つ目の缶詰が存在する場合
			$("#can01").addClass("emphasis").html(can01 + "缶<br />" + meal_can + "g");//缶詰01出力
		}else{
			$("#can01").removeClass().text("----");
		};
		
		if(constant.capacity.can02 !== 0){//2つ目の缶詰が存在する場合
			//$("#can02").addClass("emphasis").html(can02 + "缶<br />" + meal_can + "g");//缶詰02出力
			if(constant.can02){//猫w/dの場合のみ、缶詰のcalが2種類ある
				$("#can02").addClass("emphasis").html(can02 + "缶<br />" + meal_can02 + "g");//缶詰02出力
			}else{
				$("#can02").addClass("emphasis").html(can02 + "缶<br />" + meal_can + "g");//缶詰02出力
			};
		}else{
			$("#can02").removeClass().text("----");
		};
		
		if(constant.capacity.can03 !== 0){//3つ目の缶詰が存在する場合
			$("#can03").addClass("emphasis").html(can03 + "缶<br />" + meal_can + "g");//缶詰03出力
		}else{
			$("#can03").removeClass().text("----");
		};

		/* トリーツ
		--------------------------------------------------- */
		var energy_treats_sum = energy / 10;//トリーツに使えるエネルギー
		var energy_treats = (constant.treats / 100) * 5 ;//トリーツの1個あたりのエネルギー
		var treats = energy_treats_sum / 13.965 ;//トリーツの上限個数
		
		/* ビスケット
		--------------------------------------------------- */
		var energy_biscuit_sum = energy / 10;//ビスケットに使えるエネルギー
		var energy_biscuit = (constant.biscuit / 100) * constant.capacity.biscuit ;//ビスケットの1個あたりのエネルギー
		var biscuit = energy_biscuit_sum / energy_biscuit ;//ビスケットの上限個数


		/* グラフ
		--------------------------------------------------- */
		if(product_name.indexOf("m/d") != -1 && bfi == 20)	//選択された製品がm/dでbfiが20のときはグラフを出さない。
		{
			$("#arrival_time").hide();
			$("#graph").html("");
			//$("#graph_discription_container").html('');
		}
		else if(product_name.indexOf("メタボリックス") != -1 && bfi == 20)	//選択された製品がトライアル製品でbfiが20のときはグラフを出さない。
		{
			$("#arrival_time").hide();
			$("#graph").html("");
			//$("#graph_discription_container").html('');
		}
		else if(product_name.indexOf("サイエンス・ダイエット〈プロ〉") != -1 && bfi == 20)	//選択された製品がプロ製品でbfiが20のときはグラフを出さない。
		{
			$("#arrival_time").hide();
			$("#graph").html("");
			//$("#graph_discription_container").html('');
		}
		else if(product_name.indexOf("w/d") != -1)	//選択された製品がw/dのときはグラフを出さない。
		{
			$("#arrival_time").hide();
			$("#graph").html("");
			//$("#graph_discription_container").html('');
		}
		else
		{
			$("#arrival_time").show();
			$("#graph").html('<img src="img/step4/figure.gif" alt="" />');
			//$("#graph_discription_container").html('<ul id="graph_discription" class="clearfix"><li class="discription_half">減量が必要な重量 : <span id="discription_loss_weight">--</span>kg</li><li class="discription_half">1週間あたりの減量ペース : <span id="discription_rate">--</span>kg/週</li></ul>');
			
			var loss = weight - goal;												//減量必要量
			var fast = loss / (weight * constant.weight.fast);	//減量早い
			var best = loss / (weight * constant.weight.best);	//減量ちょうどいい
			var slow = loss / (weight * constant.weight.slow);	//減量遅い
			$("#fast p span").text(Math.round(fast));			//早い場合の期間出力
			$("#best p span").text(Math.round(best));			//ちょうどいい場合の期間出力
			$("#slow p span").text(Math.round(slow));			//遅い場合の期間出力
			
			/*
			var nowDate = new Date();
			$("#date_start").text(nowDate.getFullYear() + "/" + (nowDate.getMonth() + 1) + "/" + nowDate.getDate());		// 開始年月日
			
			var goalDate = new Date();
			goalDate.setTime(nowDate.getTime() + Math.round(best) * 7 * 24 * 60 * 60 * 1000);
			$("#date_goal").text(goalDate.getFullYear() + "/" + (goalDate.getMonth() + 1) + "/" + goalDate.getDate());		// 目標年月日
			
			$("#pace span").text(type == 1? "1%" : "0.75%");						//1週間あたりの減量ペース
			*/
			
			$("#discription_calorie").text(goal);									//goal weight
			/*
			$("#discription_loss_weight").text($.round(loss, 3));					//Total Weight Loss
			if(loss > 0) {
				$("#discription_rate").text($.round(loss / Math.round(best), 3));	//Rate
			}
			else
			{
				$("#discription_rate").text("0");									//Rate
			}
			*/
		}

		/* 1日にかかるフードの費用
		--------------------------------------------------- */
		if(constant.price.dry01 !== 0){
			$("#price_dry01").text("約" + (Math.round((constant.price.dry01 * (meal_dry / constant.capacity.dry01)) / 10 ) * 10) + "円")
				.prev().text(function(){
					var kg = constant.capacity.dry01 / 1000;
					if(kg < 1){
						kg = (kg * 1000) + "g";
					}else{
						kg += "kg";
					};
					return kg;
				})
				.end().next().text("約" + Math.round(constant.capacity.dry01 / meal_dry) + "日分");
		}else{
			$("#price_dry01").parent().children().text("----");
		};
		if(constant.price.dry02 !== 0){
			$("#price_dry02").text("約" + (Math.round((constant.price.dry02 * (meal_dry / constant.capacity.dry02)) / 10 ) * 10) + "円")
				.prev().text((constant.capacity.dry02 / 1000) + "kg")
				.end().next().text("約" + Math.round(constant.capacity.dry02 / meal_dry) + "日分");
		}else{
			$("#price_dry02").parent().children().text("----");
		};
		if(constant.price.dry03 !== 0){
			$("#price_dry03").text("約" + (Math.round((constant.price.dry03 * (meal_dry / constant.capacity.dry03)) / 10 ) * 10) + "円")
				.prev().text((constant.capacity.dry03 / 1000) + "kg")
				.end().next().text("約" + Math.round(constant.capacity.dry03 / meal_dry) + "日分");
		}else{
			$("#price_dry03").parent().children().text("----");
		};
		
		if(constant.price.dry_sml01 !== 0){
			$("#price_dry_sml01").text("約" + (Math.round((constant.price.dry_sml01 * (meal_dry / constant.capacity.dry_sml01)) / 10 ) * 10) + "円")
				.prev().text(function(){
					var kg = constant.capacity.dry_sml01 / 1000;
					if(kg < 1){
						kg = (kg * 1000) + "g";
					}else{
						kg += "kg";
					};
					return kg;
				})
				.end().next().text("約" + Math.round(constant.capacity.dry_sml01 / meal_dry) + "日分");
		}else{
			$("#price_dry_sml01").parent().children().text("----");
		};
		if(constant.price.dry_sml02 !== 0){
			$("#price_dry_sml02").text("約" + (Math.round((constant.price.dry_sml02 * (meal_dry / constant.capacity.dry_sml02)) / 10 ) * 10) + "円")
				.prev().text((constant.capacity.dry_sml02 / 1000) + "kg")
				.end().next().text("約" + Math.round(constant.capacity.dry_sml02 / meal_dry) + "日分");
		}else{
			$("#price_dry_sml02").parent().children().text("----");
		};
		
		if(constant.price.can01 !== 0){
			//$("#price_can01").text("約" + (Math.round((constant.price.can01 * can01) / 10 ) * 10) + "円")//缶数から算出
			$("#price_can01").text("約" + (Math.round((constant.price.can01 * (meal_can / constant.capacity.can01)) / 10 ) * 10) + "円")//エネルギーから算出
				.prev().text(constant.capacity.can01 + "g");
		}else{
			$("#price_can01").parent().children().text("----");
		};
		if(constant.price.can02 !== 0){
			//$("#price_can02").text("約" + (Math.round((constant.price.can02 * can02) / 10 ) * 10) + "円")//缶数から算出
			$("#price_can02").text(function(){
				var can02_price;
				if(constant.can02){
					can02_price = "約" + (Math.round((constant.price.can02 * (meal_can02 / constant.capacity.can02)) / 10 ) * 10) + "円";//エネルギーから算出
				}else{
					can02_price = "約" + (Math.round((constant.price.can02 * (meal_can / constant.capacity.can02)) / 10 ) * 10) + "円";//エネルギーから算出
				};
				return can02_price;
			}).prev().text(constant.capacity.can02 + "g");
		}else{
			$("#price_can02").parent().children().text("----");
		};
		if(constant.price.can03 !== 0){
			$("#price_can03").text("約" + (Math.round((constant.price.can03 * (meal_can03 / constant.capacity.can03)) / 10 ) * 10) + "円")//エネルギーから算出
				.prev().text(constant.capacity.can03 + "g");
		}else{
			$("#price_can03").parent().children().text("----");
		};

		$.energy.rest = $.energy.can03 = energy;
		$.fn.extend({
			//energy = 1日に必要なエネルギー量
			//target = その製品の100gあたりのエネルギー量
			optionAdd:function(energy,target,isCan){
				if(target == 0) return;
				var len = Math.floor(energy / target),
					option = [];
				for(i = 0;i <= len;i++){
					if(isCan)
					{
						for(j = 0;j < 4;j++){
							var label = (i == 0)? "" : i + " ";
							
							if(j > 0){
								label += String(j) + "/4";
							}
							if(label == "") label = "0";
							
							option += ["<option value='",i + 0.25 * j,"'>",label,"</option>"].join("");
						}
					}
					else
					{
						option += ["<option value='",i,"'>",i,"</option>"].join("");
					}
				};
				$(this).empty();
				$(this).append(option);
				return $(this);
			}
		});
		$.extend({
			dryChange:function(rest){
				var cup = rest / energy_dry,
					gram = (rest / constant.dry) * 100;
				if(energy_dry2)
				{
					var cup2 = rest / energy_dry2;
				}
				
				if(gram < 0){
					return false;
				}else{
					$("#dry02 .cup").text($.round(cup,2) + "カップ");
					$("#dry02 .gram").text(Math.round(gram,2) + "g");
					
					if(cup2)
					{
						$("#dry04 .cup").text($.round(cup2,2) + "カップ");
						$("#dry04 .gram").text(Math.round(gram,2) + "g");
					}
					
					return true;
				};
			},
			calcEnergy:function(node,targetEnergy,capacity){
				var beforeSelect = 0;//前に選択された値を保持
				return function(){
					var _energy = energy,//現在のエネルギー量を退避
						num = node.children("option:selected").val();//選択された個数
					if(num > beforeSelect){//個数が増えた場合energyからマイナス
						energy -= $.round((num - beforeSelect) * targetEnergy,3);
					}else if(num < beforeSelect){//個数が減った場合energyにプラス
						energy += $.round((beforeSelect - num) * targetEnergy,3);
					}else{
					};
					var result = $.dryChange(energy);
					if(!result){//energyがマイナスになる場合
						energy = _energy;//計算前のenergyに戻す
						node.children().eq(beforeSelect).attr("selected","selected");//選択値を前の値にする
						alert("数を減らしてください。");
					}else{
						beforeSelect = num;
						node.parent().find(".emphasis").text($.round((num * capacity), 1) + "g");//gを追記
					};
				};
				/*
				*/
			},
			can01_combinationClosure:"",
			can02_combinationClosure:"",
			can03_combinationClosure:"",
			treats01_combinationClosure:"",
			biscuit01_combinationClosure:""
		});
		//缶詰選択
		if($("#can01_combination select").length !== 0){
			$.can01_combinationClosure = $.calcEnergy($("#can01_combination select"),energy_can01,constant.capacity.can01);
			$("#can01_combination select").next()
				.end().optionAdd(energy,energy_can01, true).bind("change",function(){
				$.can01_combinationClosure();
				$.printReady();
			});
		};
		if($("#can02_combination select").length !== 0){
			$.can02_combinationClosure = $.calcEnergy($("#can02_combination select"),energy_can02,constant.capacity.can02);
			$("#can02_combination select").next()
				.end().optionAdd(energy,energy_can02, true).bind("change",function(){
				$.can02_combinationClosure();
				$.printReady();
			});
		};
		if($("#can03_combination select").length !== 0){
			$.can03_combinationClosure = $.calcEnergy($("#can03_combination select"),energy_can03,constant.capacity.can03);
			$("#can03_combination select").next()
				.end().optionAdd(energy,energy_can03, true).bind("change",function(){
				$.can03_combinationClosure();
				$.printReady();
			});
		};
		if($("#treats01_combination select").length !== 0){
			$.treats01_combinationClosure = $.calcEnergy($("#treats01_combination select"),energy_treats,5);
			$("#treats01_combination select").next()
				.end().optionAdd(energy_treats_sum, 13.965, false).bind("change",function(){
				$.treats01_combinationClosure();
				$.printReady();
			});
		};
		if($("#biscuit01_combination select").length !== 0){
			$.biscuit01_combinationClosure = $.calcEnergy($("#biscuit01_combination select"),energy_biscuit,constant.capacity.biscuit);
			$("#biscuit01_combination select").next()
				.end().optionAdd(energy_biscuit_sum, energy_biscuit, false).bind("change",function(){
				$.biscuit01_combinationClosure();
				$.printReady();
			});
		};
	});
});
