var $j = jQuery;

// ============================================================ 
// image preloader
// ============================================================
$j.preloadImages = function() {
	for(var i = 0; i<arguments.length; i++) {
		$j("<img>").attr("src", arguments[i]);
	}
}
$j.preloadImages("");

// ============================================================ 
// hover
// ============================================================ 
$(document).ready(function()
{

	$(function () 
	{
		var rollover = {
			swap:function(){
				$j("img.swap, input.swap").each(function(i) {
					var imgsrc = this.src;
					var dot = imgsrc.lastIndexOf(".");
					var imgsrc_on = imgsrc.substr(0, dot) + '_over' + imgsrc.substr(dot, 4);
					$j("<img>").attr("src", imgsrc_on);
					$j("<input>").attr("src", imgsrc_on);
					
					if(!imgsrc.match("_over")) {
						$j(this).hover(
							function() { this.src = imgsrc_on; },
							function() { this.src = imgsrc; }
						);
					}
				});
			},
			
			bright:function(){
				$j("img.bright").mouseover(function(){
					$j(this).css({opacity: 0.25}).fadeTo(500, 1);
				});
			},
			
			alpha:function(){
				$j("img.alpha").hover(
					function() { $j(this).stop().fadeTo(400, 0.5); },
					function() { $j(this).stop().fadeTo(400, 1); }
				);
			}
		}
		
		$j(function(){
			rollover.swap();
			rollover.alpha();
			rollover.bright();
		});
	});
	
	$('#pagetop_btn').click(function () 
	{
		$('html,body').animate({ scrollTop: 0 }, {duration: 400, easing: 'easeOutCirc'});
		return false;
				
	});
	
	setHoverStyle();
});

function setHoverStyle(target)
{
	$j(target).each(function(i) {
		var imgsrc = this.src;
		var dot = imgsrc.lastIndexOf(".");
		var imgsrc_on = imgsrc.substr(0, dot) + '_over' + imgsrc.substr(dot, 4);
		$j("<img>").attr("src", imgsrc_on);
		
		if(!imgsrc.match("_over")) {
			$j(this).hover(
				function() { this.src = imgsrc_on; },
				function() { this.src = imgsrc; }
			);
		}
	});
}

function setRollover()
{
	var rollover = {
		swap:function(){
			$j("img.swap, input.swap").each(function(i) {
				var imgsrc = this.src;
				var dot = imgsrc.lastIndexOf(".");
				var imgsrc_on = imgsrc.substr(0, dot) + '_over' + imgsrc.substr(dot, 4);
				$j("<img>").attr("src", imgsrc_on);
				$j("<input>").attr("src", imgsrc_on);
				
				if(!imgsrc.match("_over")) {
					$j(this).hover(
						function() { this.src = imgsrc_on; },
						function() { this.src = imgsrc; }
					);
				}
			});
		},
		
		bright:function(){
			$j("img.bright").mouseover(function(){
				$j(this).css({opacity: 0.25}).fadeTo(500, 1);
			});
		},
		
		alpha:function(){
			$j("img.alpha").hover(
				function() { $j(this).stop().fadeTo(400, 0.5); },
				function() { $j(this).stop().fadeTo(400, 1); }
			);
		}
	}
	
	$j(function(){
		rollover.swap();
		rollover.alpha();
		rollover.bright();
	});
}